from django.views.decorators.http import require_http_methods

from backend.Service.ProjectService import ProjectService


@require_http_methods(['POST'])
def Create(reqeust):
    return ProjectService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ProjectService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ProjectService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ProjectService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ProjectService.Search(reqeust)
